Subject: RE: old GSE idea

From: "Bound, Jim" <[email-masked]>
Date: Wed, 16 Apr 2003 10:24:49 -0400

Sounds like good exercise to me.
/jim

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Wednesday, April 16, 2003 9:40 AM
> To: Multi6 Working Group
> Subject: Re: old GSE idea
> 
> 
> I think we should fly up one level and discuss a hypothetical 
> world in which addresses in A000::/3 are deemed to be mutable 
> in flight between bits 3 and 47 inclusive. See what it does 
> to TCP, SCTP and IPSEC for example. Then fly down again and look 
> at the idea of doing GSE within A000::/3.
> 
>    Brian
> 
> Sean Doran wrote:
> > 
> > On Thursday, Apr 10, 2003, at 06:41 Europe/London, Peter 
> Tattam wrote:
> > 
> > > I wonder if some of it may be relevant to recent 
> discussions.  (you 
> > > might want to ignore the junk about ARPing for routing 
> id's - that 
> > > probably won't
> > > fly)
> > > The relevant bit is the break up of the address bits.  
> Apologies if 
> > > it resembles other drafts.
> > 
> > No need to apologize.
> > 
> > In general, the idea is that there is a bit of space that 
> is free for 
> > the network to rewrite at will because it is not an 
> end-to-end value.
> > One way of looking at it is that it is a way of cooperating with NAT
> > by way of a trade-off: sacrifice a part of the address for 
> the network
> > to adjust, and constrain the amount of work host developers 
> need to do
> > to accomodate their existence.   There is probably a more p.c. way
> > of putting this, but I am not the department of warm and 
> fuzzy feelings.
> > 
> > Personally, I like this approach because it's obviously workable 
> > today. However, I prefer at this point to consider the option of 
> > unifying the v4 and v6 Internet routing tables for operational 
> > reasons, at least for now. Perry Metzger and I  had a friendly 
> > (well...) exchange about this on a public list some time 
> ago (3-4 Dec 
> > 1999).  The general idea is that leveraging off v4 experience and 
> > expertise is attractive to large operators
> > and other in-the-core supporting organizations, and is acceptable
> > to host-side and other at-the-edge folks because it needn't 
> get in the
> > way
> > thanks to tunneling, 6to4 and the like.
> > 
> > So, rather than maintain a routing system specific to GSE, 
> as in your
> > GSE+,
> > why not just stuff a v4 address into the v6 one, such that the v4 
> > address (for example) describes the decapsulation point of an 
> > IPv6-in-IPv4 tunnel?
> > 
> > This doesn't seem to be prima facie at variance with your old idea, 
> > which correctly identifies an effective requirement for an 
> "AFI"-like
> > subfield in the
> > higher-order bits of the v6 address in order to experiment with
> > different
> > routing and addressing semantics within the existing v6 address and
> > header syntax.
> > 
> >         Sean.
> 
> -- 
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
> - - Brian E Carpenter 
> Distinguished Engineer, Internet Standards & Technology, IBM 
> On assignment at the IBM Zurich Laboratory, Switzerland
> 
>

---

From: "Tony Li" <[email-masked]>
Date: Wed, 16 Apr 2003 15:20:43 -0700

|    We only had IPv4 for around 15 years before work started 
|    on IPv6. So 
|    I'm guessing most of us will see IPv7 well before we retire.

You clearly underestimate the age of many of us on the group, for
which we all thank you.

|    <rant>
|    </rant>

Yes, the sockets API is a bit dated and starting to show issues.
I don't disagree, but that's a different working group.  ;-)

|    So how does this apply to GSE++?
|    
|    We now have TCP that groks pseudo headers with IPv4 
|    addresses in them 
|    and IPv6 addresses in them. We extend this to 83 bits out 
|    of an IPv6 
|    address. This can go on for a while. It seems to me that we should 
|    either not care at all about the IP addresses in TCP and other 
|    transport protocols, or offload this aspect to IP.
|    
|    This is the kind of stuff that doesn't cost us a lot now, 
|    but saves us 
|    a great deal in the future.

This is an excellent point.  TCP makes use of the IP address as an
identifier.  If we've separated identifiers and locators, then we need
to tweak TCP to just use the identifier portion.  After that, we're
pretty much free to change anything, as long as we maintain the
identifiers,
and not change the network layer protocol.  If IPv7 turns out to be
CLNP and we embed identifiers inside of an NSAP, that should be much
much easier.  [Note: this is an example, not a serious proposal.  CLNP
haters can re-holster their guns.]

I think that this is one of the benefits that's inherent in GSE, not
an issue with it.  So I guess I'm still not seeing the issue.  GSE has
the ONE hook that is necessary to upgrade later.

Tony